Subject: bug#26310: 25.1; Emacsclient to emacs --daemon frame/connection error

From: [email-masked]
Date: Fri, 31 Mar 2017 23:50:14 -0400

Live System User <[email-masked]> writes:
>
> Debugger entered--Lisp error: (wrong-type-argument stringp nil)
>   isearch-done(t)
>   isearch-cancel()

Ah, that one.  This should be fixed already in 25.2, since #21091
"`isearch-done' called before `isearch-update' raises wrong-type-arg
error" was fixed.

Do you happen to know how you got into this state though?  That
isearch-cancel is being called at all might be a bug in itself, although
I never found out how to reproduce it...